Cyberduck Mountain Duck CLI

#5076 closed defect (worksforme)

Mobile Me access

Reported by: berw6 Owned by: Bruce
Priority: normal Milestone: 3.6
Component: webdav Version: Nightly Build
Severity: normal Keywords: MobileMe
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description

I can only access my MobileMe iDisk via WebDav (HTTP)

If I attempt to access MobileMe via the MobileMe config it connect successfully but the folder structure of my iDisk is not displayed once logged in.

If you connect via WebDav (HTTP) it connects successfully and then displays the folder structure.

Change History (12)

comment:1 Changed on Aug 1, 2010 at 4:08:20 PM by dkocher

  • Component changed from core to webdav

Please post the transcript from View → Log Drawer of both connections.

comment:2 Changed on Aug 1, 2010 at 6:48:46 PM by berw6

WebDav Logs:

PROPFIND /bruce_rutland HTTP/1.1
Authorization: Basic YnJ1Y2VfcnV0bGFuZDplYXJseXN3Ng==
Content-Type: text/xml; charset=utf-8
User-Agent: Cyberduck/3.6 (6465) (Mac OS X/10.6.4) (x86_64)
Host: idisk.me.com
Content-Length: 207
Depth: 0

HTTP/1.1 207 Multi-Status
HTTP/1.1 207 Multi-Status
Server: AppleIDiskServer.1G1703
x-responding-server: sslng088
X-dmUser: bruce_rutland
Content-Location: /bruce_rutland/
Content-Type: text/xml;charset=utf-8
Content-Length: 590
Date: Sun, 01 Aug 2010 18:46:15 GMT
Connection: keep-alive

PROPFIND /bruce_rutland/ HTTP/1.1
Authorization: Basic YnJ1Y2VfcnV0bGFuZDplYXJseXN3Ng==
Content-Type: text/xml; charset=utf-8
User-Agent: Cyberduck/3.6 (6465) (Mac OS X/10.6.4) (x86_64)
Host: idisk.me.com
Content-Length: 207
Depth: 0

HTTP/1.1 207 Multi-Status
HTTP/1.1 207 Multi-Status
Server: AppleIDiskServer.1G1703
x-responding-server: sslng088
X-dmUser: bruce_rutland
Content-Type: text/xml;charset=utf-8
Content-Length: 590
Date: Sun, 01 Aug 2010 18:46:16 GMT
Connection: keep-alive

PROPFIND /bruce_rutland/ HTTP/1.1
Authorization: Basic YnJ1Y2VfcnV0bGFuZDplYXJseXN3Ng==
Content-Type: text/xml; charset=utf-8
User-Agent: Cyberduck/3.6 (6465) (Mac OS X/10.6.4) (x86_64)
Host: idisk.me.com
Content-Length: 207
Depth: 1

HTTP/1.1 207 Multi-Status
HTTP/1.1 207 Multi-Status
Server: AppleIDiskServer.1G1703
x-responding-server: sslng088
X-dmUser: bruce_rutland
Content-Type: text/xml;charset=utf-8
Date: Sun, 01 Aug 2010 18:46:16 GMT
Content-Length: 6773
Connection: keep-alive

PROPFIND /bruce_rutland HTTP/1.1
Content-Type: text/xml; charset=utf-8
User-Agent: Cyberduck/3.6 (6465) (Mac OS X/10.6.4) (x86_64)
Host: idisk.me.com
Content-Length: 207
Depth: 0

HTTP/1.1 401 Unauthorized
HTTP/1.1 401 Unauthorized
Server: AppleIDiskServer.1G1703
x-responding-server: sslng088
WWW-Authenticate: Basic realm=me.com
WWW-Authenticate: Digest realm=me.com, qop=auth, nonce=LlxjHXrqfQbKxUQndmcaFId/Fr5tREAKmtAouDa067pd10RD3LlyumQS23mnD1ZW, stale=false, opaque=af8bd9f360832e1ff21c3e7ae939c0a6
Content-Length: 12
Date: Sun, 01 Aug 2010 18:46:33 GMT
Connection: keep-alive

PROPFIND /bruce_rutland HTTP/1.1
Content-Type: text/xml; charset=utf-8
User-Agent: Cyberduck/3.6 (6465) (Mac OS X/10.6.4) (x86_64)
Content-Length: 207
Authorization: Digest username=bruce_rutland, realm=me.com, nonce=LlxjHXrqfQbKxUQndmcaFId/Fr5tREAKmtAouDa067pd10RD3LlyumQS23mnD1ZW, uri=/bruce_rutland, response=9a85a385115a39834cb9dd698b622483, qop=auth, nc=00000001, cnonce=17b4a9fd41db7e642e18352f730ba59e, opaque=af8bd9f360832e1ff21c3e7ae939c0a6
Host: idisk.me.com
Depth: 0

HTTP/1.1 207 Multi-Status
HTTP/1.1 207 Multi-Status
Server: AppleIDiskServer.1G1703
x-responding-server: sslng088
X-dmUser: bruce_rutland
Content-Location: /bruce_rutland/
Content-Type: text/xml;charset=utf-8
Content-Length: 590
Date: Sun, 01 Aug 2010 18:46:34 GMT
Connection: keep-alive
Last edited on Aug 1, 2010 at 9:01:20 PM by dkocher (previous) (diff)

comment:3 Changed on Aug 1, 2010 at 6:49:15 PM by berw6

MobileMe Logs:

PROPFIND /bruce_rutland HTTP/1.1
Content-Type: text/xml; charset=utf-8
User-Agent: Cyberduck/3.6 (6465) (Mac OS X/10.6.4) (x86_64)
Host: idisk.me.com
Content-Length: 207
Depth: 0

HTTP/1.1 401 Unauthorized
HTTP/1.1 401 Unauthorized
Server: AppleIDiskServer.1G1703
x-responding-server: sslng088
WWW-Authenticate: Basic realm=me.com
WWW-Authenticate: Digest realm=me.com, qop=auth, nonce=LlxjHXrqfQbKxUQndmcaFId/Fr5tREAKmtAouDa067pd10RD3LlyumQS23mnD1ZW, stale=false, opaque=af8bd9f360832e1ff21c3e7ae939c0a6
Content-Length: 12
Date: Sun, 01 Aug 2010 18:46:33 GMT
Connection: keep-alive

PROPFIND /bruce_rutland HTTP/1.1
Content-Type: text/xml; charset=utf-8
User-Agent: Cyberduck/3.6 (6465) (Mac OS X/10.6.4) (x86_64)
Content-Length: 207
Authorization: Digest username=bruce_rutland, realm=me.com, nonce=LlxjHXrqfQbKxUQndmcaFId/Fr5tREAKmtAouDa067pd10RD3LlyumQS23mnD1ZW, uri=/bruce_rutland, response=9a85a385115a39834cb9dd698b622483, qop=auth, nc=00000001, cnonce=17b4a9fd41db7e642e18352f730ba59e, opaque=af8bd9f360832e1ff21c3e7ae939c0a6
Host: idisk.me.com
Depth: 0

HTTP/1.1 207 Multi-Status
HTTP/1.1 207 Multi-Status
Server: AppleIDiskServer.1G1703
x-responding-server: sslng088
X-dmUser: bruce_rutland
Content-Location: /bruce_rutland/
Content-Type: text/xml;charset=utf-8
Content-Length: 590
Date: Sun, 01 Aug 2010 18:46:34 GMT
Connection: keep-alive

Last edited on Aug 1, 2010 at 9:01:40 PM by dkocher (previous) (diff)

comment:4 follow-up: Changed on Aug 1, 2010 at 6:54:27 PM by berw6

David

Also noticed that it is not possible to have a separate bookmark for the same connection.

If I make a bookmark for my MobileMe (HTTP/SSL) I cannot also have a bookmark for the same connection as MobileMe (WebDav)....

comment:5 in reply to: ↑ 4 Changed on Aug 2, 2010 at 1:47:55 PM by dkocher

Replying to berw6:

David

Also noticed that it is not possible to have a separate bookmark for the same connection.

If I make a bookmark for my MobileMe (HTTP/SSL) I cannot also have a bookmark for the same connection as MobileMe (WebDav)....

That issue should be fixed in the latest snapshot build (r6503).

comment:6 follow-up: Changed on Aug 2, 2010 at 8:40:24 PM by berw6

Hi David

No joy with 6503 - same issue & logs attached seems to be no authentication for the MobileMe (HTTP/SSL)... also you can't have the 2 bookmarks that are the same but with different connection method HTTP/SSL vs WebDav

Also a new error - post upgrade it appears that Cyberducks history and bookmarks are deleted - whats actually happened is that 6503 creates a new directory path in root / which has the absolute path ~/Library/Application Support/Cyberduck/ - which are empty rather than using the previously created ones in my actual user directory(~)/Library Application Support/Cyberduck/

  • iDisk MobileMe (WebDav) Successful
    PROPFIND /bruce_rutland HTTP/1.1
    Content-Type: text/xml; charset=utf-8
    User-Agent: Cyberduck/3.6 (6503) (Mac OS X/10.6.4) (x86_64)
    Host: idisk.me.com
    Content-Length: 207
    Depth: 0
    
    HTTP/1.1 401 Unauthorized
    HTTP/1.1 401 Unauthorized
    Server: AppleIDiskServer.1G1703
    x-responding-server: sslng110
    WWW-Authenticate: Basic realm=me.com
    WWW-Authenticate: Digest realm=me.com, qop=auth, nonce=rn/+3+LMtVta571gtx7InspBEXsGIT+CprZeqlYKblSBVhdUBlHmhTsWX6vnDZqN, stale=false, opaque=c9ecb11a24d5426bd739b09be8660712
    Content-Length: 12
    Date: Mon, 02 Aug 2010 20:37:33 GMT
    Connection: keep-alive
    
    PROPFIND /bruce_rutland HTTP/1.1
    Content-Type: text/xml; charset=utf-8
    User-Agent: Cyberduck/3.6 (6503) (Mac OS X/10.6.4) (x86_64)
    Content-Length: 207
    Authorization: Digest username=bruce_rutland, realm=me.com, nonce=rn/+3+LMtVta571gtx7InspBEXsGIT+CprZeqlYKblSBVhdUBlHmhTsWX6vnDZqN, uri=/bruce_rutland, response=225468008b738eff61ec70c671c34a0e, qop=auth, nc=00000001, cnonce=e63d6e1b9b771be8eaf8e8ec99c3b652, opaque=c9ecb11a24d5426bd739b09be8660712
    Host: idisk.me.com
    Depth: 0
    
    HTTP/1.1 207 Multi-Status
    HTTP/1.1 207 Multi-Status
    Server: AppleIDiskServer.1G1703
    x-responding-server: sslng110
    X-dmUser: bruce_rutland
    Content-Location: /bruce_rutland/
    Content-Type: text/xml;charset=utf-8
    Content-Length: 590
    Date: Mon, 02 Aug 2010 20:37:34 GMT
    Connection: keep-alive
    
    PROPFIND /bruce_rutland/ HTTP/1.1
    Content-Type: text/xml; charset=utf-8
    User-Agent: Cyberduck/3.6 (6503) (Mac OS X/10.6.4) (x86_64)
    Host: idisk.me.com
    Content-Length: 207
    Depth: 0
    
    HTTP/1.1 401 Unauthorized
    HTTP/1.1 401 Unauthorized
    Server: AppleIDiskServer.1G1703
    x-responding-server: sslng110
    WWW-Authenticate: Basic realm=me.com
    WWW-Authenticate: Digest realm=me.com, qop=auth, nonce=2b1K6We/y3nepjnV8rTnyBavpWImUNYmZ4BzonFVrV5d10RD3LlyumQS23mnD1ZW, stale=false, opaque=05275239eda907cb8b57c6448870b4e9
    Content-Length: 12
    Date: Mon, 02 Aug 2010 20:37:34 GMT
    Connection: keep-alive
    
    PROPFIND /bruce_rutland/ HTTP/1.1
    Content-Type: text/xml; charset=utf-8
    User-Agent: Cyberduck/3.6 (6503) (Mac OS X/10.6.4) (x86_64)
    Content-Length: 207
    Authorization: Digest username=bruce_rutland, realm=me.com, nonce=2b1K6We/y3nepjnV8rTnyBavpWImUNYmZ4BzonFVrV5d10RD3LlyumQS23mnD1ZW, uri=/bruce_rutland/, response=4be5c332801a80694ff01c08ba6f3800, qop=auth, nc=00000001, cnonce=e8489545339df9777438a4f511d464e5, opaque=05275239eda907cb8b57c6448870b4e9
    Host: idisk.me.com
    Depth: 0
    
    HTTP/1.1 207 Multi-Status
    HTTP/1.1 207 Multi-Status
    Server: AppleIDiskServer.1G1703
    x-responding-server: sslng110
    X-dmUser: bruce_rutland
    Content-Type: text/xml;charset=utf-8
    Content-Length: 590
    Date: Mon, 02 Aug 2010 20:37:35 GMT
    Connection: keep-alive
    
    PROPFIND /bruce_rutland/ HTTP/1.1
    Content-Type: text/xml; charset=utf-8
    User-Agent: Cyberduck/3.6 (6503) (Mac OS X/10.6.4) (x86_64)
    Host: idisk.me.com
    Content-Length: 207
    Depth: 1
    
    HTTP/1.1 401 Unauthorized
    HTTP/1.1 401 Unauthorized
    Server: AppleIDiskServer.1G1703
    x-responding-server: sslng110
    WWW-Authenticate: Basic realm=me.com
    WWW-Authenticate: Digest realm=me.com, qop=auth, nonce=DNLwWqTUZIscBfP3DmqoGA8va/cO/B/nr0ZzMZVre32BVhdUBlHmhTsWX6vnDZqN, stale=false, opaque=7500dcc5cbbaf93518053e4f451974af
    Content-Length: 12
    Date: Mon, 02 Aug 2010 20:37:36 GMT
    Connection: keep-alive
    
    PROPFIND /bruce_rutland/ HTTP/1.1
    Content-Type: text/xml; charset=utf-8
    User-Agent: Cyberduck/3.6 (6503) (Mac OS X/10.6.4) (x86_64)
    Content-Length: 207
    Authorization: Digest username=bruce_rutland, realm=me.com, nonce=DNLwWqTUZIscBfP3DmqoGA8va/cO/B/nr0ZzMZVre32BVhdUBlHmhTsWX6vnDZqN, uri=/bruce_rutland/, response=728da3c30d3aec7aacfe91becd87596a, qop=auth, nc=00000001, cnonce=ec48da7c0d3c4389383042b03a9061c4, opaque=7500dcc5cbbaf93518053e4f451974af
    Host: idisk.me.com
    Depth: 1
    
    HTTP/1.1 207 Multi-Status
    HTTP/1.1 207 Multi-Status
    Server: AppleIDiskServer.1G1703
    x-responding-server: sslng110
    X-dmUser: bruce_rutland
    Content-Type: text/xml;charset=utf-8
    Date: Mon, 02 Aug 2010 20:37:36 GMT
    Content-Length: 6773
    Connection: keep-alive
    
    
  • MobileMe (WebDav) Unsuccessful
    PROPFIND /bruce_rutland HTTP/1.1
    Authorization: Basic YnJ1Y2VfcnV0bGFuZDplYXJseXN3Ng==
    Content-Type: text/xml; charset=utf-8
    User-Agent: Cyberduck/3.6 (6503) (Mac OS X/10.6.4) (x86_64)
    Host: idisk.me.com
    Content-Length: 207
    Depth: 0
    
    HTTP/1.1 207 Multi-Status
    HTTP/1.1 207 Multi-Status
    Server: AppleIDiskServer.1G1703
    x-responding-server: sslng110
    X-dmUser: bruce_rutland
    Content-Location: /bruce_rutland/
    Content-Type: text/xml;charset=utf-8
    Content-Length: 590
    Date: Mon, 02 Aug 2010 20:38:44 GMT
    Connection: keep-alive
    
    
Last edited on Aug 3, 2010 at 7:12:25 AM by dkocher (previous) (diff)

comment:7 in reply to: ↑ 6 Changed on Aug 3, 2010 at 7:43:10 AM by dkocher

Replying to berw6:

Also a new error - post upgrade it appears that Cyberducks history and bookmarks are deleted - whats actually happened is that 6503 creates a new directory path in root / which has the absolute path ~/Library/Application Support/Cyberduck/ - which are empty rather than using the previously created ones in my actual user directory(~)/Library Application Support/Cyberduck/

The path issue is fixed in r6508.

comment:8 Changed on Aug 3, 2010 at 2:34:30 PM by dkocher

Actually due to a bug in the current snapshot before r6522, regardless of the setting in the bookmark always the basic DAV connection is used.

comment:9 Changed on Aug 3, 2010 at 2:35:48 PM by dkocher

The transcript from the unsuccessful attempt shows that basic authentication is used. The successful attempt first tries without authentiation followed by a digest authentication attempt.

comment:10 follow-up: Changed on Aug 3, 2010 at 3:48:34 PM by berw6

HI David

r6522 has fixed the MobileMe (WebDav) login issue - I've noticed that there is a dialogue box that appears, for a fraction of a second, which I can't identify - keychain message?

Bruce

comment:11 in reply to: ↑ 10 Changed on Aug 4, 2010 at 3:21:00 PM by dkocher

Replying to berw6:

HI David

r6522 has fixed the MobileMe (WebDav) login issue - I've noticed that there is a dialogue box that appears, for a fraction of a second, which I can't identify - keychain message?

Bruce

I have noted this too since upgrading to 10.6. Seems to be an issue with the Keychain framework.

comment:12 Changed on Aug 4, 2010 at 3:21:13 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.